//+------------------------------------------------------------------+
//|   Qualitative Quantitative Estimation Indicator for Metatrader 4 |
//|                                    Copyright  2006Roman Ignatov |
//|                                   mailto:roman.ignatov@gmail.com |
//+------------------------------------------------------------------+
//2009fxtsd mod x2


#property copyright "Copyright  200 Roman Ignatov"
#property link      "mailto:roman.ignatov@gmail.com"

#property indicator_separate_window


#property indicator_buffers 4

#property indicator_color4 MediumBlue
#property indicator_color3 Blue
#property indicator_color2 Maroon
#property indicator_color1 Red

#property indicator_style1 STYLE_SOLID
#property indicator_style2 STYLE_DOT
#property indicator_style3 STYLE_SOLID
#property indicator_style4 STYLE_DOT

#property indicator_width1 2
#property indicator_width3 2


extern int SF1  = 5;
extern int SF2  = 7;

extern int RSI_Period1  = 14;
extern int RSI_Period2  = 24;

extern bool showSigLine1 = true;
extern bool showSigLine2 = true;




double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];


//------


int init()
{

        
//    IndicatorBuffers(4);
    

   if (showSigLine1)
   {
   SetIndexStyle (3,DRAW_LINE); 
   SetIndexBuffer(3,buffer2);
   SetIndexLabel (3, "gge1s ");
   }    

   if (showSigLine2)
   {
   SetIndexStyle (1,DRAW_LINE);   
   SetIndexBuffer(1,buffer4);
   SetIndexLabel (1, "gge2s ");
   }    
   

   SetIndexStyle(0,DRAW_LINE); 
   SetIndexStyle(2,DRAW_LINE); 
   SetIndexBuffer(0,buffer3);
   SetIndexBuffer(2,buffer1);

    
    SetIndexLabel(0, "qqe1 ");
    SetIndexLabel(2, "qqe2 ");



    IndicatorShortName(StringConcatenate(" QQE1  (", SF1,",",RSI_Period1,")  QQE2 (", SF2,",",RSI_Period2,")"));

    return(0);
}


int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

   for (i=limit; i>= 0; i--)
   {
   buffer1[i] = iCustom(NULL,0,"QQEA",SF1,RSI_Period1,0,i); 
   buffer2[i] = iCustom(NULL,0,"QQEA",SF1,RSI_Period1,1,i); 

   buffer3[i] = iCustom(NULL,0,"QQEA",SF2,RSI_Period2,0,i); 
   buffer4[i] = iCustom(NULL,0,"QQEA",SF2,RSI_Period2,1,i); 
   }
   

   return(0);
 }

